import Vue from 'vue';
import Router from 'vue-router';
import Main from 'view/Main';
import login from 'view/login';
// 合并所有router
let routers = [];
const requireComponent = require.context('./modules', false, /\.js$/); // modules下任意js文件
requireComponent.keys().forEach(fileName => {
    const item = requireComponent(fileName);
    routers = routers.concat(item.default); // modules中文件的写法是export default
});
Vue.use(Router);
const router = new Router({
    mode: 'history',
    base: '/gihss/dongying/self',
    routes: [{
            path: '/',
            name: 'main',
            component: Main,
            linkActiveClass: 'active',
            redirect: '/api-info',
            children: routers
            // children: [
                
            // ]
        },

        {
            path: '/login',
            name: 'login',
            component: login
        },
        {
            path: '*',
            component: Error
        }
    ]
});
export default router;
